Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81732 - bad handling of stopped process while quitting in gdb
Summary: bad handling of stopped process while quitting in gdb
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gdb
Version: 2.1
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-13 16:04 UTC by Magnus Ihse
Modified: 2015-01-08 00:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-22 19:09:33 UTC


Attachments (Terms of Use)

Description Magnus Ihse 2003-01-13 16:04:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Start gdb and attach to a running process.

Stop the process from another shell. Now try to quit gdb:

(gdb) quit
(gdb) The program is running.  Quit anyway (and detach it)? (y or n) y
Can't detach LWP 6865: No such process
(gdb) 

To quit gdb, you need to do "kill" first. (Unless you despair and kill gdb from 
another shell). A quit should never fail.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
See description.

Actual Results:  gdb says:
Can't detach LWP 6865: No such process
(gdb) 
and doesn't quit.

Expected Results:  gdb should have quit.

Additional info:

Comment 1 Jeff Johnston 2003-08-22 19:09:33 UTC
Fixed in latest release.  Removed error() call for
detach failure.


Note You need to log in before you can comment on or make changes to this bug.